Subject: Re: bug#2061: Fwd: Loading .el when newer than .elc

From: Reuben Thomas <[email-masked]>
Date: Tue, 11 Feb 2014 16:37:29 +0000

On 11 February 2014 16:14, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 11 Feb 2014 12:48:42 +0000
> > From: Reuben Thomas <[email-masked]>
> >
> > How about: load-el-when-newer (defaults to nil) ?
>
> From etc/NEWS:
>
>   ** New option `load-prefer-newer' affects how the `load' function chooses
>   the file to load.  If this is non-nil, then when both .el and .elc
>   versions of a file exist, and the caller did not explicitly specify
>   which one to load, then the newer file is loaded.  The default, nil,
>   means to always load the .elc file.
>

Joy! I'm sorry my timing was bad, in that I looked into this after it had
been committed, but before it had been released. Thanks for the
intelligence.

-- 
http://rrt.sc3d.org